明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 167|回复: 1

[提问] lisp 用外部命令,如何实现?

[复制链接]
发表于 2019-6-11 13:04 | 显示全部楼层 |阅读模式
yx_aq是外部命令,正常在cad中使用命令yx_aq之后需要输入一个数字,回车,在两个点,回车,再一个数字。
在lisp程序中如何实现?


(defun C:w1()
  (setq p1 (getpoint))
  (setq p2 (getpoint))
  (C:yx_aq )
(command 3)
(command p1)
(command p2)
(command 3)

)
这样传不到yx_aq这里面,要等yx_aq运行完后,才运行后面的command。

发表于 2019-6-11 22:33 | 显示全部楼层
C:yx_aq 有源码就好办,改为自定义函数, 数字和两个点为参数
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-9-22 03:19 , Processed in 0.183273 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表